## libwebp 1.2.2

=== CMakeLists.txt ===
#  Copyright (c) 2020 Google LLC.
#
#  Use of this source code is governed by a BSD-style license
#  that can be found in the LICENSE file in the root of the source
#  tree. An additional intellectual property rights grant can be found
#  in the file PATENTS.  All contributing project authors may
#  be found in the AUTHORS file in the root of the source tree.

cmake_minimum_required(VERSION 3.7)

if(POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()

project(WebP C)

# Options for coder / decoder executables.
if(NOT EMSCRIPTEN)
  # Disable SIMD on Emscripten by default, as it's a new unstable Wasm feature.
  # Users can still explicitly opt-in to make a SIMD-enabled build.
  set(WEBP_ENABLE_SIMD_DEFAULT ON)
endif()
option(WEBP_ENABLE_SIMD "Enable any SIMD optimization."
       ${WEBP_ENABLE_SIMD_DEFAULT})
option(WEBP_BUILD_ANIM_UTILS "Build animation utilities." ON)
option(WEBP_BUILD_CWEBP "Build the cwebp command line tool." ON)
option(WEBP_BUILD_DWEBP "Build the dwebp command line tool." ON)
option(WEBP_BUILD_GIF2WEBP "Build the gif2webp conversion tool." ON)
option(WEBP_BUILD_IMG2WEBP "Build the img2webp animation tool." ON)
option(WEBP_BUILD_VWEBP "Build the vwebp viewer tool." ON)
option(WEBP_BUILD_WEBPINFO "Build the webpinfo command line tool." ON)
option(WEBP_BUILD_LIBWEBPMUX "Build the libwebpmux library." ON)
option(WEBP_BUILD_WEBPMUX "Build the webpmux command line tool." ON)
option(WEBP_BUILD_EXTRAS "Build extras." ON)
option(WEBP_BUILD_WEBP_JS "Emscripten build of webp.js." OFF)
option(WEBP_USE_THREAD "Enable threading support" ON)
option(WEBP_NEAR_LOSSLESS "Enable near-lossless encoding" ON)
option(WEBP_ENABLE_SWAP_16BIT_CSP "Enable byte swap for 16 bit colorspaces."
       OFF)
set(WEBP_BITTRACE "0" CACHE STRING "Bit trace mode (0=none, 1=bit, 2=bytes)")
set_property(CACHE WEBP_BITTRACE PROPERTY STRINGS 0 1 2)

# Option needed for handling Unicode file names on Windows.
if(WIN32)
  option(WEBP_UNICODE "Build Unicode executables." ON)
endif()

if(WEBP_BUILD_WEBP_JS)
  set(WEBP_BUILD_ANIM_UTILS OFF)
  set(WEBP_BUILD_CWEBP OFF)
  set(WEBP_BUILD_DWEBP OFF)
  set(WEBP_BUILD_GIF2WEBP OFF)
  set(WEBP_BUILD_IMG2WEBP OFF)
  set(WEBP_BUILD_VWEBP OFF)
  set(WEBP_BUILD_WEBPINFO OFF)
  set(WEBP_BUILD_WEBPMUX OFF)
  set(WEBP_BUILD_EXTRAS OFF)
  set(WEBP_USE_THREAD OFF)

  if(WEBP_ENABLE_SIMD)
    message("wasm2js does not support SIMD, disabling webp.js generation.")
  endif()
endif()

set(WEBP_DEP_LIBRARIES)
set(WEBP_DEP_INCLUDE_DIRS)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release"
      CACHE STRING "Build type: Release, Debug, MinSizeRel or RelWithDebInfo"
      FORCE)
endif()

# Include dependencies.
include(cmake/deps.cmake)
include(GNUInstallDirs)

# ##############################################################################
# Options.
if(WEBP_ENABLE_SWAP_16BIT_CSP)
  add_definitions(-DWEBP_SWAP_16BIT_CSP=1)
endif()

if(NOT WEBP_BITTRACE STREQUAL "0")
  add_definitions(-DBITTRACE=${WEBP_BITTRACE})
endif()

if(WEBP_UNICODE)
  # Windows recommends setting both UNICODE and _UNICODE.
  add_definitions(-DUNICODE -D_UNICODE)
endif()

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "\$\{prefix\}")
set(libdir "\$\{prefix\}/lib")
set(includedir "\$\{prefix\}/include")
set(PTHREAD_LIBS ${CMAKE_THREAD_LIBS_INIT})
set(INSTALLED_LIBRARIES)

# ##############################################################################
# Android only.
if(ANDROID)
  include_directories(${ANDROID_NDK}/sources/android/cpufeatures)
  add_library(cpufeatures STATIC
              ${ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c)
  list(APPEND INSTALLED_LIBRARIES cpufeatures)
  target_link_libraries(cpufeatures dl)
  set(WEBP_DEP_LIBRARIES ${WEBP_DEP_LIBRARIES} cpufeatures)
  set(WEBP_DEP_INCLUDE_DIRS ${WEBP_DEP_INCLUDE_DIRS}
      ${ANDROID_NDK}/sources/android/cpufeatures)
  add_definitions(-DHAVE_CPU_FEATURES_H=1)
  set(HAVE_CPU_FEATURES_H 1)
else()
  set(HAVE_CPU_FEATURES_H 0)
endif()

function(configure_pkg_config FILE)
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${FILE}.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/${FILE}")

  if(HAVE_MATH_LIBRARY)
    # MSVC doesn't have libm
    file(READ ${CMAKE_CURRENT_BINARY_DIR}/${FILE} data)
    string(REPLACE "-lm" "" data ${data})
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${FILE} ${data})
  endif()

  install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/${FILE}"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  )
endfunction()

# ##############################################################################
# WebP source files. Read the Makefile.am to get the source files.

# We expect the Makefiles to define the sources as defined in the first regex.
# E.g.: libimagedec_la_SOURCES  = image_dec.c image_dec.h
function(parse_Makefile_am FOLDER VAR SRC_REGEX)
  file(READ ${FOLDER}/Makefile.am MAKEFILE_AM)
  string(REGEX MATCHALL
               "${SRC_REGEX}_SOURCES[ ]*\\+?=[ ]+[0-9a-z\\._ ]*"
               FILES_PER_LINE
               ${MAKEFILE_AM})
  set(SRCS ${${VAR}})
  foreach(FILES ${FILES_PER_LINE})
    string(FIND ${FILES} "=" OFFSET)
    math(EXPR OFFSET "${OFFSET} + 2")
    string(SUBSTRING ${FILES}
                     ${OFFSET}
                     -1
                     FILES)
    if(FILES)
      string(REGEX MATCHALL
                   "[0-9a-z\\._]+"
                   FILES
                   ${FILES})
      foreach(FILE ${FILES})
        list(APPEND SRCS ${FOLDER}/${FILE})
      endforeach()
    endif()
  endforeach()
  set(${VAR} ${SRCS} PARENT_SCOPE)
endfunction()

set(WEBP_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
parse_makefile_am(${WEBP_SRC_DIR}/dec "WEBP_DEC_SRCS" "")
parse_makefile_am(${WEBP_SRC_DIR}/demux "WEBP_DEMUX_SRCS" "")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_COMMON_SRCS" "COMMON")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_ENC_SRCS" "ENC")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_ENC_SRCS" "dsp_[^ ]*")
parse_makefile_am(${WEBP_SRC_DIR}/dsp "WEBP_DSP_DEC_SRCS" "decode_[^ ]*")
parse_makefile_am(${WEBP_SRC_DIR}/enc "WEBP_ENC_SRCS" "")
parse_makefile_am(${WEBP_SRC_DIR}/utils "WEBP_UTILS_COMMON_SRCS" "COMMON")
parse_makefile_am(${WEBP_SRC_DIR}/utils "WEBP_UTILS_ENC_SRCS" "ENC")
parse_makefile_am(${WEBP_SRC_DIR}/utils "WEBP_UTILS_DEC_SRCS" "decode_[^ ]*")

# Remove the files specific to SIMD we don't use.
foreach(FILE ${WEBP_SIMD_FILES_NOT_TO_INCLUDE})
  list(REMOVE_ITEM WEBP_DSP_ENC_SRCS ${FILE})
  list(REMOVE_ITEM WEBP_DSP_DEC_SRCS ${FILE})
endforeach()

# Generate the config.h file.
configure_file(${CMAKE_CURRENT_LIST_DIR}/cmake/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/src/webp/config.h)
add_definitions(-DHAVE_CONFIG_H)

# ##############################################################################
# Build the webpdecoder library.

# Creates a source file with an unused stub function in $CMAKE_BINARY_DIR and
# adds it to the specified target. Currently used only with Xcode.
#
# See also:
# https://cmake.org/cmake/help/v3.18/command/add_library.html#object-libraries
# "Some native build systems (such as Xcode) may not like targets that have
# only object files, so consider adding at least one real source file to any
# target that references $<TARGET_OBJECTS:objlib>."
function(libwebp_add_stub_file TARGET)
  set(stub_source_dir "${CMAKE_BINARY_DIR}")
  set(stub_source_file
      "${stub_source_dir}/libwebp_${TARGET}_stub.c")
  set(stub_source_code
      "// Generated file. DO NOT EDIT!\n"
      "// C source file created for target ${TARGET}.\n"
      "void libwebp_${TARGET}_stub_function(void)\;\n"
      "void libwebp_${TARGET}_stub_function(void) {}\n")
  file(WRITE "${stub_source_file}" ${stub_source_code})

  target_sources(${TARGET} PRIVATE ${stub_source_file})
endfunction()

if(MSVC)
  # avoid security warnings for e.g., fopen() used in the examples.
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
else()
  add_definitions(-Wall)
endif()
include_directories(${WEBP_DEP_INCLUDE_DIRS})
add_library(webpdecode OBJECT ${WEBP_DEC_SRCS})
target_include_directories(webpdecode
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                   ${CMAKE_CURRENT_SOURCE_DIR})
add_library(webpdspdecode OBJECT ${WEBP_DSP_COMMON_SRCS} ${WEBP_DSP_DEC_SRCS})
target_include_directories(webpdspdecode
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                   ${CMAKE_CURRENT_SOURCE_DIR})
add_library(webputilsdecode
            OBJECT
            ${WEBP_UTILS_COMMON_SRCS}
            ${WEBP_UTILS_DEC_SRCS})
target_include_directories(webputilsdecode
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                   ${CMAKE_CURRENT_SOURCE_DIR})
add_library(webpdecoder
            $<TARGET_OBJECTS:webpdecode>
            $<TARGET_OBJECTS:webpdspdecode>
            $<TARGET_OBJECTS:webputilsdecode>)
if(XCODE)
  libwebp_add_stub_file(webpdecoder)
endif()
target_link_libraries(webpdecoder ${WEBP_DEP_LIBRARIES})
target_include_directories(
  webpdecoder
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
  INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
set_target_properties(
  webpdecoder
  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/src/webp/decode.h;\
${CMAKE_CURRENT_SOURCE_DIR}/src/webp/types.h")

configure_pkg_config("src/libwebpdecoder.pc")

# Build the webp library.
add_library(webpencode OBJECT ${WEBP_ENC_SRCS})
target_include_directories(webpencode
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                   ${CMAKE_CURRENT_SOURCE_DIR})
add_library(webpdsp
            OBJECT
            ${WEBP_DSP_COMMON_SRCS}
            ${WEBP_DSP_DEC_SRCS}
            ${WEBP_DSP_ENC_SRCS})
target_include_directories(webpdsp
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                   ${CMAKE_CURRENT_SOURCE_DIR})
add_library(webputils
            OBJECT
            ${WEBP_UTILS_COMMON_SRCS}
            ${WEBP_UTILS_DEC_SRCS}
            ${WEBP_UTILS_ENC_SRCS})
target_include_directories(webputils
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                   ${CMAKE_CURRENT_SOURCE_DIR})
add_library(webp
            $<TARGET_OBJECTS:webpdecode>
            $<TARGET_OBJECTS:webpdsp>
            $<TARGET_OBJECTS:webpencode>
            $<TARGET_OBJECTS:webputils>)
if(XCODE)
  libwebp_add_stub_file(webp)
endif()
target_link_libraries(webp ${WEBP_DEP_LIBRARIES})
target_include_directories(
  webp
  PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
          ${CMAKE_CURRENT_BINARY_DIR}
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
         $<INSTALL_INTERFACE:include>)
set_target_properties(
  webp
  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/src/webp/decode.h;\
${CMAKE_CURRENT_SOURCE_DIR}/src/webp/encode.h;\
${CMAKE_CURRENT_SOURCE_DIR}/src/webp/types.h")

# Make sure the OBJECT libraries are built with position independent code (it is
# not ON by default).
set_target_properties(webpdecode
                      webpdspdecode
                      webputilsdecode
                      webpencode
                      webpdsp
                      webputils
                      PROPERTIES POSITION_INDEPENDENT_CODE ON)
configure_pkg_config("src/libwebp.pc")

# Build the webp demux library.
add_library(webpdemux ${WEBP_DEMUX_SRCS})
target_link_libraries(webpdemux webp)
target_include_directories(webpdemux
                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
                                   ${CMAKE_CURRENT_BINARY_DIR}
                           PUBLIC $<INSTALL_INTERFACE:include>)
set_target_properties(
  webpdemux
  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/src/webp/decode.h;\
${CMAKE_CURRENT_SOURCE_DIR}/src/webp/demux.h;\
${CMAKE_CURRENT_SOURCE_DIR}/src/webp/mux_types.h;\
${CMAKE_CURRENT_SOURCE_DIR}/src/webp/types.h")

## libwebp 0.1.2

=== debian/changelog ===
libwebp (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Explicit PNG and JPEG dependencies (closes: #622386)
  * Remove .la filse (closes: #622515)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 13 Apr 2011 15:14:03 -0700

libwebp (0.1-1) unstable; urgency=low

  * Initial release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 28 Feb 2011 17:25:17 -0800

=== debian/control ===
Source: libwebp
Priority: extra
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libtool, autoconf, 
 automake, libjpeg62-dev, libpng12-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://webp.googlecode.com

Package: libwebp-dev
Section: libdevel
Architecture: any
Depends: libwebp0 (= ${binary:Version}), ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Description: Image Compression format, based on the VP8 codec
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the webp. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: libwebp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Description: Image Compression format, based on the VP8 codec
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the webp. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: webp
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjpeg62, libpng12-0
Description: Lossy compression of digital photographic images.
 Description: Image Compression format, based on the VP8 codec
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the webp. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

## libwebp 0.1.3

=== debian/changelog ===
libwebp (0.1.3-3+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2012-5127: integer overflows in src/dec/webp.c (closes: #704573).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 03 Apr 2013 02:54:20 +0000

libwebp (0.1.3-3)  unstable; urgency=low

  * Close dependency bug fixed in last update (closes: #657896)
  * Accept multi-arch support from Felix Geyer (closes: #659027)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 22 Feb 2012 12:00:56 -0800

libwebp (0.1.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev, and drop hardcoded
    shared library dependencies from webp.

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:29:55 +0100

libwebp (0.1.3-2) unstable; urgency=low

  * Improve description ever so slightly (closes: #647434)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 08 Dec 2011 16:34:49 -0800

libwebp (0.1.3-1) unstable; urgency=low

  * New upstream release (closes: #645154)
  * Fix typos in description (closes: #637156)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 31 Oct 2011 10:15:38 -0700

=== debian/control ===
Source: libwebp
Priority: extra
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
 automake, libjpeg-dev, libpng12-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://webp.googlecode.com

Package: libwebp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebp2 (= ${binary:Version}), ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: libwebp2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: webp
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

autogen-stamp:
	./autogen.sh
	touch autogen-stamp

build: autogen-stamp
	dh build

clean:
	rm -f autogen-stamp
	dh clean

%:
	dh  $@

## libwebp 0.2.1

=== debian/changelog ===
libwebp (0.2.1-3) experimental; urgency=low

  * Fix builds everywhere.
    Was fine if you run 'dh build', but -arch or -indep after clean failed.
    And it worked fine in my experimental pbuilder chroot...
  * Add a dependency on libtiff-dev | libtiff4-dev.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 12 Feb 2013 15:00:52 +0000

libwebp (0.2.1-2) experimental; urgency=low

  * Add a pkgconfig file (closes: #699285)

 -- Jeff Breidenbach <jab@debian.org>  Tue, 12 Feb 2013 00:50:19 +0000

libwebp (0.2.1-1) experimental; urgency=low

  * New upstream release. (Closes: #684339)
    - libwebp.so.4, so package name bump.
    - Target experimental to avoid disrupting wheezy freeze.
  * Adjust PNG dev dependency. (Closes: #662415)
  * Use dh ... --parallel.
  * Bumped standards version to 3.9.3.
  * Adjusted debian/copyright (lintian boilerplate error).
  * Added myself as an uploader (ref. bug 684339).

 -- Darren Salt <devspam@moreofthesa.me.uk>  Fri, 23 Nov 2012 00:34:46 +0000

libwebp (0.1.3-3) unstable; urgency=low

  * Close dependency bug fixed in last update (closes: #657896)
  * Accept multi-arch support from Felix Geyer (closes: #659027)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 22 Feb 2012 12:00:56 -0800

## libwebp 0.3.0

=== debian/changelog ===
libwebp (0.3.0-3) unstable; urgency=low

  * No change, just migrating to unstable

 -- Jeff Breidenbach <jab@debian.org>  Thu, 30 May 2013 14:55:03 -0700

libwebp (0.3.0-1) experimental; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 11 Apr 2013 12:24:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libwebp
 Priority: extra
 Maintainer: Jeff Breidenbach <jab@debian.org>
+Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
- automake, libjpeg-dev, libpng12-dev
-Standards-Version: 3.9.2
+ automake, libjpeg-dev, libpng-dev | libpng12-dev, libtiff-dev | libtiff4-dev
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://webp.googlecode.com
 
@@ -11,15 +12,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp2 (= ${binary:Version}), ${misc:Depends}
+Depends: libwebp4 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
  WebP uses the modern VP8 compression format to deliver efficient
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-
-Package: libwebp2
+Package: libwebp4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -31,7 +31,6 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-
 Package: webp
 Section: graphics
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-autogen-stamp:
+# dh seems to assume that configure is already there
+configure:
 	./autogen.sh
-	touch autogen-stamp
 
-build: autogen-stamp
-	dh build
-
-clean:
-	rm -f autogen-stamp
-	dh clean
+build build-arch build-indep: configure
 
 %:
-	dh  $@
+	dh $@ --parallel

## libwebp 0.4.0

=== debian/changelog ===
libwebp (0.4.0-4) unstable; urgency=low

  * Promote from experimental to unstable
  * Begin webp transition, see bug #731168

 -- Jeff Breidenbach <jab@debian.org>  Mon, 13 Jan 2014 10:07:43 -0800

libwebp (0.4.0-3) experimental; urgency=low

  * Add libwebpdemux.so and more binaries at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Wed, 08 Jan 2014 10:15:12 -0800

libwebp (0.4.0-2) experimental; urgency=low

  * New upstream release
  * Enable metadata support (closes: #728119)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 03 Jan 2014 13:28:23 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
- automake, libjpeg-dev, libpng-dev | libpng12-dev, libtiff-dev | libtiff4-dev
+ automake, libjpeg-dev, libgif-dev, libpng-dev | libpng12-dev, 
+ libtiff-dev | libtiff4-dev, freeglut3-dev
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://webp.googlecode.com
@@ -12,14 +13,39 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp4 (= ${binary:Version}), ${misc:Depends}
+Depends: libwebp5 (= ${binary:Version}), libwebpmux1 (= ${binary:Version}),
+ libwebpdemux1 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
  WebP uses the modern VP8 compression format to deliver efficient
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebp4
+Package: libwebp5
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Lossy compression of digital photographic images.
+ Image Compression format, based on the VP8 codec.
+ WebP uses the modern VP8 compression format to deliver efficient
+ compression of images for the web. More than 30% extra gain over
+ optimized JPEG, for same quality, is not unusual.
+
+Package: libwebpmux1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Lossy compression of digital photographic images.
+ Image Compression format, based on the VP8 codec.
+ WebP uses the modern VP8 compression format to deliver efficient
+ compression of images for the web. More than 30% extra gain over
+ optimized JPEG, for same quality, is not unusual.
+
+Package: libwebpdemux1
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # dh seems to assume that configure is already there
 configure:
@@ -17,3 +17,7 @@
 
 %:
 	dh $@ --parallel
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
+

=== debian/watch ===
version=3
http://code.google.com/p/webp/downloads/list libwebp-(.*)\.tar\.gz

## libwebp 0.4.1

=== debian/changelog ===
libwebp (0.4.1-1.2b1) staging; urgency=medium

  * No-change rebuild against libjpeg-turbo (libjpeg62)

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Fri, 03 Apr 2015 00:14:10 +0200

libwebp (0.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "libwebp FTBFS on mips/mipsel".
    Add fix-mips2.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #756788.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Sep 2014 10:04:05 +0100

libwebp (0.4.1-1.1) unstable; urgency=medium

  * NMU with maintainer's permission
  * use -frename-registers as workaround for ICE on arm64 (Closes: #757785)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Aug 2014 11:15:58 +0000

libwebp (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 30 Jul 2014 16:38:48 -0700

## libwebp 0.4.3

=== debian/changelog ===
libwebp (0.4.3-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Re-introduced refreshed "fix-mips32.patch" to fix FTBFS on mips(el).
    Thanks, James Cowgill. (Closes: #785000).
  * Added retrospective changelog entry to note removal of "fix-mips32.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 May 2015 14:19:01 +1000

libwebp (0.4.3-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Added architecture hints to some symbols.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 May 2015 04:28:28 +1000

libwebp (0.4.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added current .symbols to compensate for ABI breakage in v0.4.3
    (Closes: #783693).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 30 Apr 2015 18:10:47 +1000

libwebp (0.4.3-1) unstable; urgency=low

  * New upstream bugfix release
  * Raise priority to optional (closes: #767462)
  * Removed "fix-mips32.patch"

 -- Jeff Breidenbach <jab@debian.org>  Fri, 27 Mar 2015 09:43:41 -0700

## libwebp 0.4.4

=== debian/changelog ===
libwebp (0.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 17 Nov 2015 00:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libwebp
-Priority: extra
+Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# gcc 4.9 ICEs when building libwebp for arm64, use 4.8 for now
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=757738
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -q DEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),arm64)
+  export DEB_CFLAGS_MAINT_APPEND=-frename-registers
+endif
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1

## libwebp 0.5.1

=== debian/changelog ===
libwebp (0.5.1-2ubuntu1) yakkety; urgency=medium

  * debian/patches/armhf_update_neon_support.patch: configure: do not
    rely on arm_neon.h for neon detection.  Closes LP: #1630349.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 04 Oct 2016 11:45:56 -0700

libwebp (0.5.1-2) unstable; urgency=medium

  * promote to unstable as per transition team
  * fix some lintian warnings on the symbols files

 -- Jeff Breidenbach <jab@debian.org>  Tue, 02 Aug 2016 17:45:28 -0700

libwebp (0.5.1-1) experimental; urgency=medium

  * New upstream release
  * Adjust libpng dependency (Closes: #810196)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 27 Jul 2016 00:34:07 +0000

libwebp (0.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with '--enable-aligned' on sparc* to force aligned
    memory operations in non-dsp code. (Closes: #825963)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 07 Jul 2016 14:07:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libwebp
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
- automake, libjpeg-dev, libgif-dev, libpng-dev | libpng12-dev, 
+ automake, libjpeg-dev, libgif-dev, libpng-dev, 
  libtiff-dev | libtiff4-dev, freeglut3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://webp.googlecode.com
 
@@ -13,15 +14,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp5 (= ${binary:Version}), libwebpmux1 (= ${binary:Version}),
- libwebpdemux1 (= ${binary:Version}), ${misc:Depends}
+Depends: libwebp6 (= ${binary:Version}), libwebpmux2 (= ${binary:Version}),
+ libwebpdemux2 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
  WebP uses the modern VP8 compression format to deliver efficient
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebp5
+Package: libwebp6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -33,7 +34,7 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebpmux1
+Package: libwebpmux2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -45,7 +46,7 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebpdemux1
+Package: libwebpdemux2
 Section: libs
 Architecture: any
 Multi-Arch: same

## libwebp 0.5.2

=== debian/changelog ===
libwebp (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 03 Jan 2017 11:00:36 -0800

libwebp (0.5.1-4) unstable; urgency=medium

  * Import armh compilation patch from Ubuntu (closes: #845749)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 09 Dec 2016 10:42:47 -0800

libwebp (0.5.1-3) unstable; urgency=medium

  * Fix CVE-2016-8888 and CVE-2016-9085 (closes: #842714)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 09 Nov 2016 16:27:04 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libwebp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
  automake, libjpeg-dev, libgif-dev, libpng-dev,

=== debian/watch ===
version=3
https://storage.googleapis.com/downloads.webmproject.org/releases/webp/index.html libwebp-(.*)\.tar\.gz

## libwebp 0.6.0

=== debian/changelog ===
libwebp (0.6.0-3) unstable; urgency=medium

  * Fix dependency bug in debian/control

 -- Jeff Breidenbach <jab@debian.org>  Tue, 25 Jul 2017 21:32:34 +0000

libwebp (0.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 03 May 2017 15:49:31 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
  automake, libjpeg-dev, libgif-dev, libpng-dev, 
  libtiff-dev | libtiff4-dev, freeglut3-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://webp.googlecode.com
 
@@ -13,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp6 (= ${binary:Version}), libwebpmux2 (= ${binary:Version}),
+Depends: libwebp6 (= ${binary:Version}), libwebpmux3 (= ${binary:Version}),
  libwebpdemux2 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
@@ -33,7 +33,7 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebpmux2
+Package: libwebpmux3
 Section: libs
 Architecture: any
 Multi-Arch: same

## libwebp 0.6.1

=== debian/changelog ===
libwebp (0.6.1-2.1+deb11u2) bullseye-security; urgency=medium

  * CVE-2023-4863

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 14 Sep 2023 00:43:44 +0200

libwebp (0.6.1-2.1+deb11u1) bullseye-security; urgency=medium

  * CVE-2023-1999 (Closes: #1035371)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 19 May 2023 00:18:08 +0200

libwebp (0.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix multiple security issues: CVE-2018-25009, CVE-2018-25010, CVE-2018-25011
    CVE-2020-36328, CVE-2018-25013, CVE-2018-25014, CVE-2020-36329, CVE-2020-36330
    CVE-2020-36331, CVE-2020-36332

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 05 Jun 2021 19:35:57 +0200

libwebp (0.6.1-2) unstable; urgency=medium

  * Fix lintian warning on manpage
  * Update homepage in control file (closes #891851)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 01 Mar 2018 12:51:06 -0800

libwebp (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Special patches for big endian

 -- Jeff Breidenbach <jab@debian.org>  Thu, 22 Feb 2018 18:17:57 -0800

libwebp (0.6.0-4) unstable; urgency=medium

  * remove uploader (closes: #881859)
  * updated watch file

 -- Jeff Breidenbach <jab@debian.org>  Mon, 20 Nov 2017 16:30:10 -0800

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,9 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
+# Force aligned memory operations in non-dsp code on sparc*
+ifneq (,$(findstring $(DEB_HOST_ARCH),sparc sparc64))
+	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux --enable-aligned
+else
 	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
-
+endif

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\S+-mac)/0.0.$1/;s/^(\S+-linux-x86-(?:64|32))/0.0.$1/ \
https://developers.google.com/speed/webp/download \
(?:|.*/)libwebp(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libwebp 0.6.1.2

=== debian/changelog ===
libwebp (0.6.1.2-1+dde) unstable; urgency=medium

  [ kezhihuan ]
  * fix CVE-2018-25011 CVE-2018-25014 CVE-2020-36328 CVE-2020-36329 CVE-2018-25009 CVE-2018-25010 CVE-2018-25013 CVE-2020-36330 CVE-2020-36331 CVE-2020-36332. 

  [ Jeff Breidenbach ]
  * update

 -- Jeff Breidenbach <jab@debian.org>  Tue, 29 Jun 2021 10:40:43 +0800

libwebp (0.6.1.1-1+dde) unstable; urgency=medium

  * Fix lintian warning on manpage
  * Update homepage in control file (closes #891851)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 01 Mar 2018 12:51:06 -0800

## libwebp 1.2.2

=== debian/changelog ===
libwebp (1.2.2-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Apr 2022 14:54:57 -0700

libwebp (1.2.2-2) unstable; urgency=high

  * Fixes mipsel architecture correctly this time (closes: #1006009)

 -- Jeff Breidenbach <jab@debian.org>  Sun, 13 Mar 2022 22:36:42 -0700

libwebp (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes test failure on mipsel architecture (closes: #1006110)
  * Fixes test failure on mipsel architecture (closes: #1006009)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 10 Mar 2022 09:39:39 -0800

libwebp (1.2.1-7) unstable; urgency=medium

  * No changes; uploading to unstable as part of soname transition.

 -- Jeff Breidenbach <jab@debian.org>  Wed, 16 Feb 2022 11:02:28 -0800

libwebp (1.2.1-6) experimental; urgency=medium

  * Fix package name to corectly match library soname.

 -- Jeff Breidenbach <jab@debian.org>  Thu, 13 Jan 2022 15:14:06 -0800

libwebp (1.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 23 Aug 2021 16:04:29 -0700

=== debian/control ===
Source: libwebp
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 12),
               freeglut3-dev,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               libtiff-dev | libtiff4-dev,
               libtool
Standards-Version: 4.6.0
Section: libs
Homepage: https://developers.google.com/speed/webp/

Package: libwebp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebp7 (= ${binary:Version}),
         libwebpdemux2 (= ${binary:Version}),
         libwebpmux3 (= ${binary:Version}),
         ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebp7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpmux3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpdemux2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: webp
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,6 @@
 else
 	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
 endif
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libwebp 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,14 @@
 project(WebP C)
 
 # Options for coder / decoder executables.
+if(BUILD_SHARED_LIBS)
+  set(WEBP_LINK_STATIC_DEFAULT OFF)
+else()
+  set(WEBP_LINK_STATIC_DEFAULT ON)
+endif()
+option(WEBP_LINK_STATIC
+       "Link using static libraries. If OFF, use dynamic libraries."
+       ${WEBP_LINK_STATIC_DEFAULT})
 if(NOT EMSCRIPTEN)
   # Disable SIMD on Emscripten by default, as it's a new unstable Wasm feature.
   # Users can still explicitly opt-in to make a SIMD-enabled build.
@@ -40,6 +48,18 @@
 set(WEBP_BITTRACE "0" CACHE STRING "Bit trace mode (0=none, 1=bit, 2=bytes)")
 set_property(CACHE WEBP_BITTRACE PROPERTY STRINGS 0 1 2)
 
+if(WEBP_LINK_STATIC)
+  if(WIN32)
+    SET(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
+  else()
+    SET(CMAKE_FIND_LIBRARY_SUFFIXES .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
+  endif()
+  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+  # vwebp does not compile on Ubuntu with static libraries so disabling it for
+  # now.
+  set(WEBP_BUILD_VWEBP OFF)
+endif()
+
 # Option needed for handling Unicode file names on Windows.
 if(WIN32)
   option(WEBP_UNICODE "Build Unicode executables." ON)
@@ -96,6 +116,8 @@
 set(includedir "\$\{prefix\}/include")
 set(PTHREAD_LIBS ${CMAKE_THREAD_LIBS_INIT})
 set(INSTALLED_LIBRARIES)
+
+set(CMAKE_C_VISIBILITY_PRESET hidden)
 
 # ##############################################################################
 # Android only.
@@ -211,6 +233,18 @@
   target_sources(${TARGET} PRIVATE ${stub_source_file})
 endfunction()
 
+parse_makefile_am(${CMAKE_CURRENT_SOURCE_DIR}/sharpyuv "WEBP_SHARPYUV_SRCS"
+                  "")
+add_library(sharpyuv OBJECT ${WEBP_SHARPYUV_SRCS})
+target_include_directories(sharpyuv
+                            PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
+                            ${CMAKE_CURRENT_SOURCE_DIR})
+set_target_properties(
+  sharpyuv
+  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/sharpyuv/sharpyuv.h;\
+${CMAKE_CURRENT_SOURCE_DIR}/sharpyuv/sharpyuv_csp.h;\
+${CMAKE_CURRENT_SOURCE_DIR}/src/webp/types.h")
+
 if(MSVC)
   # avoid security warnings for e.g., fopen() used in the examples.
   add_definitions(-D_CRT_SECURE_NO_WARNINGS)
@@ -275,6 +309,7 @@
                            PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                    ${CMAKE_CURRENT_SOURCE_DIR})
 add_library(webp
+            $<TARGET_OBJECTS:sharpyuv>
             $<TARGET_OBJECTS:webpdecode>
             $<TARGET_OBJECTS:webpdsp>
             $<TARGET_OBJECTS:webpencode>
@@ -291,32 +326,3 @@
          $<INSTALL_INTERFACE:include>)
 set_target_properties(
   webp
-  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/src/webp/decode.h;\
-${CMAKE_CURRENT_SOURCE_DIR}/src/webp/encode.h;\
-${CMAKE_CURRENT_SOURCE_DIR}/src/webp/types.h")
-
-# Make sure the OBJECT libraries are built with position independent code (it is
-# not ON by default).
-set_target_properties(webpdecode
-                      webpdspdecode
-                      webputilsdecode
-                      webpencode
-                      webpdsp
-                      webputils
-                      PROPERTIES POSITION_INDEPENDENT_CODE ON)
-configure_pkg_config("src/libwebp.pc")
-
-# Build the webp demux library.
-add_library(webpdemux ${WEBP_DEMUX_SRCS})
-target_link_libraries(webpdemux webp)
-target_include_directories(webpdemux
-                           PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
-                                   ${CMAKE_CURRENT_BINARY_DIR}
-                           PUBLIC $<INSTALL_INTERFACE:include>)
-set_target_properties(
-  webpdemux
-  PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/src/webp/decode.h;\
-${CMAKE_CURRENT_SOURCE_DIR}/src/webp/demux.h;\
-${CMAKE_CURRENT_SOURCE_DIR}/src/webp/mux_types.h;\
-${CMAKE_CURRENT_SOURCE_DIR}/src/webp/types.h")
-

=== debian/changelog ===
libwebp (1.2.4-0.2+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-4863

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 12 Sep 2023 21:35:44 +0200

libwebp (1.2.4-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * EncodeAlphaInternal: clear result->bw on error (CVE-2023-1999)
    (Closes: #1035371)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 May 2023 14:50:58 +0200

libwebp (1.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.2.4 (Closes: #1022001)
  * Set debian-branch to debian/sid in conformance with DEP-14
  * Tighten matching criteria in debian/watch, and enable upstream
    PGP/GPG signature verification
  * Add Vcs-Browser and Vcs-Git fields for upload to Salsa
  * Bump debhelper build-dependency to debhelper-compat (= 13)
  * Remove alternative build-dependency on obsolete libtiff4-dev package
  * Replace build-dependency on obsolete freeglut3-dev with libglut-dev
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove backported debian/patches/fix-lossless-encode-for-MIPS
    which was already merged and released in libwebp v1.2.3
  * Adjust debian/docs for upstream README to README.md rename and more
  * Replace man/*.1 with usr/share/man/man1/*.1 in debian/webp.manpages
    to fix dh_missing error with debhelper compat 13 and up
  * Add usr/lib/${DEB_HOST_MULTIARCH}/lib*.la to debian/not-installed
    to remove dh_missing warning
  * Remove --parallel argument from dh, no longer needed since compat 10,
    to fix Lintian debian-rules-uses-unnecessary-dh-argument warning
  * Remove build-dependency on autotools-dev, not needed since compat 10,
    to fix Lintian useless-autoreconf-build-depends warning
  * Replace tab with spaces in an old debian/changelog entry
    to fix Lintian syntax-error-in-debian-changelog warning

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 06:28:25 -0700

=== debian/control ===
Source: libwebp
Section: libs
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 libtool, autoconf,
 automake, libjpeg-dev, libgif-dev, libpng-dev,
 libtiff-dev, libglut-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/libwebp
Vcs-Git: https://salsa.debian.org/debian/libwebp.git
Homepage: https://developers.google.com/speed/webp/

Package: libwebp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebp7 (= ${binary:Version}), libwebpmux3 (= ${binary:Version}),
 libwebpdemux2 (= ${binary:Version}), ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebp7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpmux3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpdemux2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: webp
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 build build-arch build-indep: configure
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 # Force aligned memory operations in non-dsp code on sparc*
@@ -32,6 +32,3 @@
 else
 	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
 endif
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
